/*
 *  ADS – A Java package of algorithms and data structures for educational purposes.  This software was
 *  originally created for the book Winder & Roberts, "Developing Java Software", Wiley.
 *
 *  Copyright © 1997–2009 Russel Winder
 *
 *  This file is part of ADS.
 *
 *  ADS is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 *  Public License as published by the Free Software Foundation, either version 3 of the License, or (at
 *  your option) any later version.
 *
 *  ADS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General
 *  Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with ADS.  If not, see
 *  <http://www.gnu.org/licenses/>.
 */
package org.devjavasoft.ads ;
/**
 *  The exception thrown when an iterator is used when invalid.  Invalid here means either initialized to an
 *  empty container or run to the end of its iteration.
 *
 *  @author Russel Winder
 */
public class InvalidIteratorException extends RuntimeException {
	private static final long serialVersionUID = -6309149818059856958L ;
	public InvalidIteratorException ( ) { super ( ) ; }
  public InvalidIteratorException ( final String s ) { super ( s ) ; }
}
